Try running it several times--that usually means a poor connection or 
something (?)

> C:\InstantRails-1.7-win\InstantRails\rails_apps>gem update --system
> Updating RubyGems...
> ERROR:  While executing gem ... (Gem::RemoteFetcher::FetchError)
>     Bad file descriptor - connect(2)(Errno::EBADF)
> 
-- 
Posted via http://www.ruby-forum.com/.